ReactPhysics3D: reactphysics3d::NarrowPhaseInfoBatch::NarrowPhaseInfo Struct Reference

| ReactPhysics3D v0.10.2 C++ Physics engine library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
reactphysics3d::NarrowPhaseInfoBatch::NarrowPhaseInfo Struct Reference

A potential collision between two colliders from the middle-phase algorithm that have to be tested during narrow-phase collision detection. More...

`#include <include/reactphysics3d/collision/narrowphase/NarrowPhaseInfoBatch.h>`

## Public Member Functions
| NarrowPhaseInfo (uint64 pairId, Entity collider1, Entity collider2, LastFrameCollisionInfo *lastFrameInfo, MemoryAllocator &shapeAllocator, const Transform &shape1ToWorldTransform, const Transform &shape2ToWorldTransform, CollisionShape *shape1, CollisionShape *shape2, bool needToReportContacts)
| Constructor.

## Public Attributes
uint64 | overlappingPairId
| Broadphase overlapping pairs ids.
Entity | colliderEntity1
| Entity of the first collider to test collision with.
Entity | colliderEntity2
| Entity of the second collider to test collision with.
LastFrameCollisionInfo * | lastFrameCollisionInfo
| Collision info of the previous frame.
MemoryAllocator * | collisionShapeAllocator
| Memory allocator for the collision shape (Used to release TriangleShape memory in destructor)
Transform | shape1ToWorldTransform
| Shape local to world transform of sphere 1.
Transform | shape2ToWorldTransform
| Shape local to world transform of sphere 2.
CollisionShape * | collisionShape1
| Pointer to the first collision shapes to test collision with.
CollisionShape * | collisionShape2
| Pointer to the second collision shapes to test collision with.
bool | reportContacts
| True if we need to report contacts (false for triggers for instance)
bool | isColliding
| Result of the narrow-phase collision detection test.
uint8 | nbContactPoints
| Number of contact points.
ContactPointInfo | contactPoints [NB_MAX_CONTACT_POINTS_IN_NARROWPHASE_INFO]
| Array of contact points created during the narrow-phase.

## Detailed Description

A potential collision between two colliders from the middle-phase algorithm that have to be tested during narrow-phase collision detection.

The documentation for this struct was generated from the following file:

- include/reactphysics3d/collision/narrowphase/NarrowPhaseInfoBatch.h